Mandriva: 2014:068: openssh
Posted by Benjamin D. Thomas   
Mandrake Updated openssh packages fixes security vulnerabilities: sshd in OpenSSH before 6.6 does not properly support wildcards on AcceptEnv lines in sshd_config, which allows remote attackers to bypass intended environment restrictions by using a substring located [More...]
 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2014:068
 http://www.mandriva.com/en/support/security/
 _______________________________________________________________________

 Package : openssh
 Date    : April 9, 2014
 Affected: Business Server 1.0
 _______________________________________________________________________

 Problem Description:

 Updated openssh packages fixes security vulnerabilities:
 
 sshd in OpenSSH before 6.6 does not properly support wildcards
 on AcceptEnv lines in sshd_config, which allows remote attackers to
 bypass intended environment restrictions by using a substring located
 before a wildcard character (CVE-2014-2532).
 
 Matthew Vernon reported that if a SSH server offers a HostCertificate
 that the ssh client doesn't accept, then the client doesn't check
 the DNS for SSHFP records. As a consequence a malicious server can
 disable SSHFP-checking by presenting a certificate (CVE-2014-2653).
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2532
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2653
 http://advisories.mageia.org/MGASA-2014-0143.html
 http://advisories.mageia.org/MGASA-2014-0166.html
 _______________________________________________________________________

 Updated Packages:

 Mandriva Business Server 1/X86_64:
 753bd40deb60429adc6a7c1afd63ee3d  mbs1/x86_64/openssh-5.9p1-6.3.mbs1.x86_64.rpm
 377e7fbb14f72a1e32da41f19be7baa8  mbs1/x86_64/openssh-askpass-5.9p1-6.3.mbs1.x86_64.rpm
 a906db623fc8d56eab9b8b99b1af84d9  mbs1/x86_64/openssh-askpass-common-5.9p1-6.3.mbs1.x86_64.rpm
 9fc03d4929efdf21a26aef308eb66f14  mbs1/x86_64/openssh-askpass-gnome-5.9p1-6.3.mbs1.x86_64.rpm
 f2dbea4a0a8109bc835c69e871f07a69  mbs1/x86_64/openssh-clients-5.9p1-6.3.mbs1.x86_64.rpm
 a20d329b8332ff7f7f10dd541a3865a9  mbs1/x86_64/openssh-server-5.9p1-6.3.mbs1.x86_64.rpm 
 0fd2c0a9338a7e8e8747c2ea3ae43c49  mbs1/SRPMS/openssh-5.9p1-6.3.mbs1.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/en/support/security/advisories/

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________